Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.util.exec
Class DefaultExecHandleNotifierFactory

    java.lang.Object
      org.gradle.util.exec.DefaultExecHandleNotifierFactory

All Implemented Interfaces:
  ExecHandleNotifierFactory

    public class DefaultExecHandleNotifierFactory

extends java.lang.Object
implements ExecHandleNotifierFactory

Constructor Summary
`DefaultExecHandleNotifierFactory()`

Method Summary
`ExecHandleNotifier` | `createAbortedNotifier(ExecHandle execHandle)`
`ExecHandleNotifier` | `createFailedNotifier(ExecHandle execHandle)`
`ExecHandleNotifier` | `createStartedNotifier(ExecHandle execHandle)`
`ExecHandleNotifier` | `createSucceededNotifier(ExecHandle execHandle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExecHandleNotifierFactory

    public DefaultExecHandleNotifierFactory()

Method Detail

### createStartedNotifier

    public ExecHandleNotifier createStartedNotifier(ExecHandle execHandle)

  Specified by:
    `createStartedNotifier` in interface `ExecHandleNotifierFactory`

### createFailedNotifier

    public ExecHandleNotifier createFailedNotifier(ExecHandle execHandle)

  Specified by:
    `createFailedNotifier` in interface `ExecHandleNotifierFactory`

### createAbortedNotifier

    public ExecHandleNotifier createAbortedNotifier(ExecHandle execHandle)

  Specified by:
    `createAbortedNotifier` in interface `ExecHandleNotifierFactory`

### createSucceededNotifier

    public ExecHandleNotifier createSucceededNotifier(ExecHandle execHandle)

  Specified by:
    `createSucceededNotifier` in interface `ExecHandleNotifierFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD